%define upstream_name    HTML-Template-Extension
%define upstream_version 0.26

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:	Basic set operations
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:	perl(HTML::Parser)
BuildRequires:	perl(HTML::Template)
BuildArch:	    noarch


%description
This module extends HTML::Template to easily support methods and tags not
implemented in parent module. The following plugins are supplied:
- HTML::Template::Extension::DOC
- HTML::Template::Extension::SLASH_VAR
- HTML::Template::Extension::CSTART
- HTML::Template::Extension::HEAD_BODY
- HTML::Template::Extension::DO_NOTHING

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes DISCLAIMER README TODO
%{perl_vendorlib}/HTML
%{_mandir}/*/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.260.0-11.mga10
+ Revision: 2199447
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.260.0-10.mga9
+ Revision: 1804020
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.260.0-9.mga8
+ Revision: 1494938
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.260.0-8.mga7
+ Revision: 1268505
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.260.0-7.mga6
+ Revision: 1028358
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.260.0-6.mga6
+ Revision: 947217
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.260.0-5.mga5
+ Revision: 748896
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.260.0-4.mga5
+ Revision: 684974
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.260.0-3.mga4
+ Revision: 512068
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.260.0-2.mga3
+ Revision: 368150
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.260.0-1.mga1
+ Revision: 30502
- mageia rebuild
- imported package perl-HTML-Template-Extension


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.260.0-1mdv2010.0
+ Revision: 403262
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.26-3mdv2009.0
+ Revision: 257209
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.26-1mdv2008.1
+ Revision: 135847
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Mar 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.26-1mdv2007.0
+ Revision: 133722
- new version

* Sat Aug 26 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.25-2mdv2007.0
- spec cleanup
- fix directory ownership

* Wed Aug 17 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.25-1mdk
- new version 
- fix sources url for rpmbuildupdate

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.24-1mdk
- initial Mandriva package

